Dear Bob, I purchased an ACP upgrade on 2/01/2011 order number: dc3-store-2996 yet when I tried to implement hotfix 1 I was told my license has expired. I believe I am running ACP 6.0. Please advise. Thank you. David Weiner. 173 Riverside Dr., N.Y.